Std SelBoundingBox/fr: Difference between revisions

From FreeCAD Documentation
No edit summary
(Updating to match new version of source page)
Line 27: Line 27:
#* Appuyez sur le bouton {{Button|[[Image:Std_SelBoundingBox.svg|16px]] [[Std_SelBoundingBox|Std SelBoundingBox]]}}.
#* Appuyez sur le bouton {{Button|[[Image:Std_SelBoundingBox.svg|16px]] [[Std_SelBoundingBox|Std SelBoundingBox]]}}.
#* Sélectionnez l'option {{MenuCommand|Affichage → [[Image:Std_SelBoundingBox.svg|16px]] Bounding box}} dans le menu.
#* Sélectionnez l'option {{MenuCommand|Affichage → [[Image:Std_SelBoundingBox.svg|16px]] Bounding box}} dans le menu.

==Preferences==

The related setting is stored: {{MenuCommand|Tools → Edit parameters... → BaseApp → Preferences → View → ShowSelectionBoundingBox}}. It is a boolean value, the default is {{FALSE}}.

==Scripting==

{{Emphasis|See also:}} [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].

To change the ShowSelectionBoundingBox setting use the {{incode|SetBool}} method of the appropriate ParameterGrp. The code sample does not work if FreeCAD is in console mode.

{{Code|code=
import FreeCAD, FreeCADGui

grp = FreeCAD.ParamGet('User parameter:BaseApp/Preferences/View')
if grp.GetBool('ShowSelectionBoundingBox'):
grp.SetBool('ShowSelectionBoundingBox',False)
else:
grp.SetBool('ShowSelectionBoundingBox',True)

FreeCADGui.updateCommands()
}}


{{Docnav/fr
{{Docnav/fr

Revision as of 18:51, 17 April 2020

Other languages:

Std SelBoundingBox

Emplacement du menu
Affichage → Bounding box
Ateliers
Tous
Raccourci par défaut
Aucun
Introduit dans la version
-
Voir aussi
Std Style de représentation

Description

La commande Std SelBoundingBox bascule le mode de surbrillance du cadre de sélection. Si ce mode est activé, les objets sélectionnés sont marqués dans une vue 3D avec un cadre de sélection en surbrillance au lieu d'une forme en surbrillance.

Utilisation

  1. Il existe plusieurs façons d'appeler la commande:
    • Appuyez sur le bouton Std SelBoundingBox.
    • Sélectionnez l'option Affichage → Bounding box dans le menu.

Preferences

The related setting is stored: Tools → Edit parameters... → BaseApp → Preferences → View → ShowSelectionBoundingBox. It is a boolean value, the default is false.

Scripting

See also: FreeCAD Scripting Basics.

To change the ShowSelectionBoundingBox setting use the SetBool method of the appropriate ParameterGrp. The code sample does not work if FreeCAD is in console mode.

import FreeCAD, FreeCADGui

grp = FreeCAD.ParamGet('User parameter:BaseApp/Preferences/View')
if grp.GetBool('ShowSelectionBoundingBox'):
  grp.SetBool('ShowSelectionBoundingBox',False)
else:
  grp.SetBool('ShowSelectionBoundingBox',True)

FreeCADGui.updateCommands()